body {
  font-family: "Roboto", sans-serif;
}
a {
  text-decoration: none;
}
.header-menu, .background, .posts, .instagram{
  width: 320px;
  margin: 0 auto;
}
@mixin fonts ($weight, $size, $line) {
  font-weight: $weight;
  font-size: $size;
  line-height: $line;
}
$primery-color: rgba(78, 78, 78, 1);
$comment-color: rgba(124, 124, 124, 1);
$par-color: rgba(92, 92, 92, 1);
$background-footer-color: rgba(0, 0, 0, 1);
$title-footer-color: rgba(254, 254, 254, 1);
$text-footer-color: rgba(185, 185, 185, 1);

nav {
  display: flex;
  justify-content: flex-end;
  position: relative;
  top: 23px;
}
.menu-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 44px;
    height: 37px;
    transition: all .5s ease-in-out;
    background: rgb(0, 0, 0);
    left: 275px;
    z-index: 2;
    margin-bottom: 23px;
  }
  
  .menu-btn__burger {
    width: 17px;
    height: 2px;
    background: #FFF;
    transition: all .5s ease-in-out;
  
    &::before, &::after {
      content: '';
      position: absolute;
      width: 17px;
      height: 2px;
      background: #FFF;
      transition: all .5s ease-in-out;
    }
  
    &::before {
      transform: translateY(-4px);
    }
  
    &::after {
      transform: translateY(4px);
    }
  }
  
  .menu-btn.open .menu-btn__burger {
    transform: translateX(-50px);
    background: transparent;
  
    &::before {
      transform: rotate(45deg) translate(35px, -35px);
    }
  
    &::after {
      transform: rotate(-45deg) translate(35px, 35px);
    }
  }
$background-menu-color: rgba(245, 245, 245, 1);
$hover-color-menu: rgba(87, 164, 164, 1);

.menu{
    display: none;
    position: absolute;
    left: 140px;
    top: 37px;
    width: 182px;
    z-index: 2;
    background-color:$background-menu-color;

    &.menu--active{
        display: block;
    }

    &__menu-item{
        height: 32px;
        list-style-type: none;
    }

    &__menu-item-link{
        box-sizing: border-box;
        color: $primery-color;
        @include fonts(400, 11px, 22px);
        display: block;
        width: 100%;
        height: 100%;
        padding: 5px 0 0 13px;
        text-transform: uppercase;
        transition: 1s;

        &:hover{
            color: $hover-color-menu;
        }
        &:focus {
            background-color: rgba(229, 229, 229, 1);

        }
    }}
